How do I update plugins that aren't 1.11 compatible?

Discussion in 'Spigot Discussion' started by djoveryde, May 2, 2017.

  1. I remember a year ago there was a git bash command that would run a file that is downloaded when you get the latest spigot version using GB.
    Does anyone remember this command?

    All i remember is it would check through the plugins code and update any code that needs updating, then exporting the edited version of the plugin ready to use.
     
  2. Is this what you are looking for?
    java -jar BuildData/bin/SpecialSource-2.jar map -m CraftBukkit/deprecation-mappings.csrg -i MyPlugin.jar -o MyPlugin-fixed.jar
     
    • Like Like x 1
  3. Thats it thanks :)
     
    #3 djoveryde, May 3, 2017
    Last edited: May 3, 2017